unit main;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, LResources, Forms, Controls, Graphics, Dialogs,
  StdCtrls, ExtCtrls, laz_synapse, httpsend, lNetComponents, lclintf, Menus;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    ComboBox1 : TComboBox;
    ComboBox2 : TComboBox;
    Image1: TImage;
    Label1: TLabel;
    Label2: TLabel;
    IPS_Client: TLTCPComponent;
    Memo1: TMemo;
    MenuItem1: TMenuItem;
    MenuItem2: TMenuItem;
    MenuItem3: TMenuItem;
    MenuItem4: TMenuItem;
    PopupMenu1: TPopupMenu;
    TrayIcon1 : TTrayIcon;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure MenuItem2Click(Sender: TObject);
    procedure MenuItem3Click(Sender: TObject);
    procedure MenuItem4Click(Sender: TObject);
  private
    { private declarations }
    Zeig : Boolean;
  public
    { public declarations }
  end; 

var
  Form1: TForm1;

implementation

uses scan;

{ TForm1 }

procedure TForm1.FormCreate(Sender: TObject);
begin
  Image1.Picture.LoadFromFile('Img'+PathDelim+'elv.gif');
  Caption := 'IPS 1 by ELV';
  Label1.Caption:= 'IP - Adresse';
  ComboBox1.Text:= '';
  Label2.Caption:= 'Port';
  ComboBox2.Text:= '';
  Button1.Caption := '&Verbinden';
  Button2.Caption := '&Trennen';
  Button3.Caption := '&Beenden';
  Memo1.Clear;
  Trayicon1.Visible:=True;
  TrayIcon1.Icon.LoadFromFile('Img'+PathDelim+'elv.ico');
  TrayIcon1.ShowIcon:= True;
  TrayIcon1.Hint:= 'IPS 1 by ELV geladen';
  TrayIcon1.Show;
end;

procedure TForm1.MenuItem2Click(Sender: TObject);
begin
  Close;
end;

procedure TForm1.MenuItem3Click(Sender: TObject);
begin
  form2.suche;
  Form2.Showmodal;
end;

procedure TForm1.MenuItem4Click(Sender: TObject);
begin
  Form1.Visible:= Zeig;
  if Zeig then Zeig:= False else Zeig:= True;
end;

procedure TForm1.Button1Click(Sender: TObject);
var
  http : THttpSend;
  ss : TStringStream;
  ServerIP, s : string;
  Port : integer;
  Verbindung: Boolean;
begin
  Port:= StrToInt(ComboBox2.Text);
  ServerIP := ComboBox1.Text;
  Verbindung:= IPS_Client.Connect(ServerIP, Port);
  if IPS_Client.Connect(ServerIP, Port) then
  begin
    Memo1.Append('Die Verbindung mit dem ' + Caption + ' wird aufgebaut...');
  end;
  ss := TStringStream.Create(Caption + ' wird Verbunden');
  http := THttpSend.Create;
  http.UserAgent := 'Mozilla/4.0 (compatible)';
  Memo1.Append(http.Headers.Text);
  s :='http://' + ComboBox1.Text + '/ips.cgi?pg=ips&Ein=Ein';
  Memo1.Append('Sende: ' + s);
  http.HTTPMethod('GET',s);
  http.Document.SaveToStream(ss);
  http.Free;
  s := ss.DataString;
  Memo1.Append(s);
end;

procedure TForm1.Button2Click(Sender: TObject);
var
  http : THttpSend;
  ss : TStringStream;
  ServerIP, s : string;
  Port : integer;
  Verbindung: Boolean;
begin
  ss := TStringStream.Create('');
  http := THttpSend.Create;
  http.UserAgent := 'Mozilla/4.0 (compatible)';
  Memo1.Lines.add(http.Headers.Text);
  s :='http://' + ComboBox1.Text + '/ips.cgi?pg=ips&Aus=Aus';
  Memo1.Append('Sende: ' + s);
  http.HTTPMethod('GET',s);
  http.Document.SaveToStream(ss);
  http.Free;
  s := ss.DataString;
  Memo1.Lines.add(s);
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  Button2.Click;
  Close;
end;

initialization
  {$I main.lrs}

end.

